Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1328865 - qgis should be rebuilt
Summary: qgis should be rebuilt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qgis
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1327360
Blocks: F24FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-04-20 12:49 UTC by Rex Dieter
Modified: 2016-06-14 09:15 UTC (History)
7 users (show)

Fixed In Version: qgis-2.14.3-3.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
fixing broken deps in the frozen repos is a good and noble pursuit and we see no danger of breakage from this
Last Closed: 2016-06-14 09:15:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2016-04-20 12:49:57 UTC
Due to qt bug #1319399 , there was a window of time after gcc6 mass rebuild where qt(4)-based package builds generated incompatible plugins.  It appears, qgis is one of those packages affected.  Rebuilding qgis now should fix it.

Comment 1 Rex Dieter 2016-04-20 12:50:42 UTC
Sorry, wrong bug dependency, make that bug #1327360

Comment 2 Fedora Update System 2016-05-25 07:06:49 UTC
qgis-2.14.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-16d9b56aff

Comment 3 Fedora Update System 2016-05-26 05:02:23 UTC
qgis-2.14.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-16d9b56aff

Comment 4 Kalev Lember 2016-06-01 14:16:09 UTC
Proposing as a Freeze Exception for F24 in order to fix last remaining broken deps in the base repo, see https://fedorahosted.org/rel-eng/ticket/6416 for more details.

Comment 5 Adam Williamson 2016-06-03 22:43:58 UTC
+1 FE, it's nice to try and have as consistent as possible a release tree.

Comment 6 Geoffrey Marr 2016-06-06 19:56:56 UTC
This bug was discussed at the 2016-06-06 blocker review meeting [1] and determined to be an AccptedFreezeException as fixing broken dependencies in frozen repositories is a good idea.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-06-06/f24-blocker-review.2016-06-06-16.00.txt

Comment 7 Fedora Update System 2016-06-07 07:26:06 UTC
qgis-2.14.3-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6166f85051

Comment 8 Fedora Update System 2016-06-07 18:53:46 UTC
qgis-2.14.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6166f85051

Comment 9 Adam Williamson 2016-06-13 23:30:48 UTC
I'm not sure why depcheck fails, but manual testing confirms the old package is bad (cannot be installed with the grass packages in current stable) and the new package is good (can be installed with the grass packages in current stable).

Comment 10 Fedora Update System 2016-06-14 09:15:17 UTC
qgis-2.14.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.